// Show the coming soon toast
function showComingSoonToast() {
  const toast = document.getElementById('coming-soon-toast');
  if (toast) {
    toast.classList.remove('hidden');
    toast.classList.add('flex');
    setTimeout(() => {
      toast.classList.add('hidden');
      toast.classList.remove('flex');
    }, 2000);
  }
}

document.addEventListener('DOMContentLoaded', function () {
  // All share icons
  const shareIcons = document.querySelectorAll('.share-soon');
  shareIcons.forEach(icon => {
    icon.addEventListener('click', showComingSoonToast);
  });
});
